Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::NodeApplication_Impl Class Reference

`#include <NodeApplication_Impl.h>`

Inheritance diagram for CIAO::NodeApplication_Impl:

[legend]
Collaboration diagram for CIAO::NodeApplication_Impl:

[legend]
List of all members.

## Public Types
typedef CIAO::NodeApplication_Impl::_component_state_info | Component_State_Info
enum | Component_State { NEW_BORN, PRE_ACTIVE, ACTIVE, POST_ACTIVE, PASSIVE, DEACTIVATED }
## Public Member Functions
| NodeApplication_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, NodeApp_Configurator &c, const Static_Config_EntryPoints_Maps *static_entrypts_maps=0)
virtual | ~NodeApplication_Impl (void)
| Default destructor.
virtual void | finishLaunch (const Deployment::Connections &providedReference, CORBA::Boolean start, CORBA::Boolean add_connection ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StartError, Deployment::InvalidConnection)
| This operation dose 2 things. 1. Get the external connction (facet and Event source) and connect them to the local receptacle/event sink. 2. If the start augment is true, start the Components. : The connection containes the object ref of the provided object reference (facet/event consumer) of components from other NodeApplications. However the name field stores the name of the port on the local component.
virtual void | start (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StartError)
virtual void | ciao_preactivate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StartError)
virtual void | ciao_postactivate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StartError)
virtual void | ciao_passivate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StopError)
virtual CORBA::Long | init (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initialize the NodeApplication.
virtual ::Deployment::ComponentInfos * | install (const ::Deployment::NodeImplementationInfo &node_impl_info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ::Deployment::UnknownImplId, ::Deployment::ImplEntryPointNotFound, ::Deployment::InstallationFailure, ::Components::InvalidConfiguration)
| Start install homes and components.
virtual ::CORBA::Object_ptr | get_node_application_manager (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual ::Deployment::Properties * | properties (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Access the readonly attribute.
virtual void | remove_component (const char *inst_name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (::CORBA::SystemException, ::Components::RemoveFailure)
| Remove a component instance from the NodeApplication.
virtual void | remove (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Remove everything inside including all components and homes.
virtual ::Deployment::Container_ptr | create_container (const ::Deployment::Properties &properties ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ::Components::CreateFailure, ::Components::InvalidConfiguration)
| Create a container interface, which will be hosted in this NodeApplication.
virtual void | remove_container (::Deployment::Container_ptr cref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, ::Components::RemoveFailure)
| Remove a container interface.
virtual ::Deployment::Containers * | get_containers (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Get all container object refs.
virtual PortableServer::POA_ptr | _default_POA (void)
::Deployment::NodeApplication_ptr | get_objref (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Protected Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Deployment::Container_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | Component_Container_Map
| To build a map between a component instance and its container.
typedef Component_Container_Map::iterator | Component_Container_Iterator
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Component_State_Info, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | CCMComponent_Map
| To store all created Component object as well as their state.
typedef CCMComponent_Map::iterator | Component_Iterator
typedef ACE_Hash_Map_Manager_Ex< ACE_CString,::Components::Cookie_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | Cookie_Map
| A Map which stores all the connection cookies.
typedef Cookie_Map::iterator | Cookie_Map_Iterator
## Protected Member Functions
virtual void | finishLaunch_i (const Deployment::Connections &providedReference, CORBA::Boolean start, CORBA::Boolean add_connection ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StartError, Deployment::InvalidConnection)
virtual CORBA::Long | create_all_containers (const ::Deployment::ContainerImplementationInfos &container_infos ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Create and initialize all the containers.
virtual ACE_CString * | create_connection_key (const Deployment::Connection &connection)
| Create a "key" for the connection.
## Protected Attributes
Component_Container_Map | component_container_map_
CCMComponent_Map | component_state_map_
Cookie_Map | cookie_map_
TAO_SYNCH_MUTEX | lock_
| Synchronize access to the object set.
Object_Set< Deployment::Container, Deployment::Container_var > | container_set_
| Keep a list of managed Container objects.
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
NodeApp_Configurator & | configurator_
Deployment::Properties | properties_
| Cached properties.
::CORBA::Object_var | node_app_manager_
| And a reference to the NodeApplicationManager that created us.
::Deployment::NodeApplication_var | objref_
| Cache the object reference (of ourselves).
const Static_Config_EntryPoints_Maps * | static_entrypts_maps_
## Private Member Functions
| NodeApplication_Impl (void)
| Default constructor, noop.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Component_State_Info, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::NodeApplication_Impl::CCMComponent_Map`[protected]`

| To store all created Component object as well as their state.

typedef Component_Container_Map::iterator CIAO::NodeApplication_Impl::Component_Container_Iterator`[protected]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Deployment::Container_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::NodeApplication_Impl::Component_Container_Map`[protected]`

| To build a map between a component instance and its container.

typedef CCMComponent_Map::iterator CIAO::NodeApplication_Impl::Component_Iterator`[protected]`

typedef struct CIAO::NodeApplication_Impl::_component_state_info CIAO::NodeApplication_Impl::Component_State_Info

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ::Components::Cookie_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::NodeApplication_Impl::Cookie_Map`[protected]`

| A Map which stores all the connection cookies.

typedef Cookie_Map::iterator CIAO::NodeApplication_Impl::Cookie_Map_Iterator`[protected]`

## Member Enumeration Documentation

enum CIAO::NodeApplication_Impl::Component_State

  | Enumeration values:
  NEW_BORN |
  PRE_ACTIVE |
  ACTIVE |
  POST_ACTIVE |
  PASSIVE |
  DEACTIVATED |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::NodeApplication_Impl::NodeApplication_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | NodeApp_Configurator & | c,
|  | const Static_Config_EntryPoints_Maps * | static_entrypts_maps = `0`
| ) |

CIAO::NodeApplication_Impl::~NodeApplication_Impl | ( | void |  | ) | `[virtual]`

| Default destructor.

CIAO::NodeApplication_Impl::NodeApplication_Impl | ( | void |  | ) | `[private]`

| Default constructor, noop.

## Member Function Documentation

ACE_INLINE PortableServer::POA_ptr CIAO::NodeApplication_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

virtual void CIAO::NodeApplication_Impl::ciao_passivate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Deployment::StopError)`[virtual]`

| ciao_passivate

virtual void CIAO::NodeApplication_Impl::ciao_postactivate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Deployment::StartError)`[virtual]`

| ciao_postactivate

virtual void CIAO::NodeApplication_Impl::ciao_preactivate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Deployment::StartError)`[virtual]`

| ciao_preactivate

CORBA::Long CIAO::NodeApplication_Impl::create_all_containers | ( | const ::Deployment::ContainerImplementationInfos &container_infos | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[protected, virtual]`

| Create and initialize all the containers.

ACE_CString * CIAO::NodeApplication_Impl::create_connection_key | ( | const Deployment::Connection & | connection | ) | `[protected, virtual]`

| Create a "key" for the connection.

virtual ::Deployment::Container_ptr CIAO::NodeApplication_Impl::create_container | ( | const ::Deployment::Properties &properties | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, ::Components::CreateFailure, ::Components::InvalidConfiguration)`[virtual]`

| Create a container interface, which will be hosted in this NodeApplication.

void CIAO::NodeApplication_Impl::finishLaunch | ( | const Deployment::Connections & | providedReference,
|  | CORBA::Boolean | start,
|  | CORBA::Boolean add_connection | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::StartError, Deployment::InvalidConnection)`[virtual]`

| This operation dose 2 things. 1. Get the external connction (facet and Event source) and connect them to the local receptacle/event sink. 2. If the start augment is true, start the Components. : The connection containes the object ref of the provided object reference (facet/event consumer) of components from other NodeApplications. However the name field stores the name of the port on the local component. finishLaunch

void CIAO::NodeApplication_Impl::finishLaunch_i | ( | const Deployment::Connections & | providedReference,
|  | CORBA::Boolean | start,
|  | CORBA::Boolean add_connection | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::StartError, Deployment::InvalidConnection)`[protected, virtual]`

virtual ::Deployment::Containers* CIAO::NodeApplication_Impl::get_containers | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Get all container object refs.

virtual ::CORBA::Object_ptr CIAO::NodeApplication_Impl::get_node_application_manager | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Get the object reference of the NodeApplicationManager. This might come in handy later.

::Deployment::NodeApplication_ptr CIAO::NodeApplication_Impl::get_objref | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

| Return the cached object reference of this NodeApplication object. This operation does *NOT* increase the reference count.

virtual CORBA::Long CIAO::NodeApplication_Impl::init | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Initialize the NodeApplication.

virtual ::Deployment::ComponentInfos* CIAO::NodeApplication_Impl::install | ( | const ::Deployment::NodeImplementationInfo &node_impl_info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, ::Deployment::UnknownImplId, ::Deployment::ImplEntryPointNotFound, ::Deployment::InstallationFailure, ::Components::InvalidConfiguration)`[virtual]`

| Start install homes and components.

virtual ::Deployment::Properties* CIAO::NodeApplication_Impl::properties | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Access the readonly attribute.

virtual void CIAO::NodeApplication_Impl::remove | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Remove everything inside including all components and homes.

virtual void CIAO::NodeApplication_Impl::remove_component | ( | const char *inst_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (::CORBA::SystemException, ::Components::RemoveFailure)`[virtual]`

| Remove a component instance from the NodeApplication.

void CIAO::NodeApplication_Impl::remove_container | ( | ::Deployment::Container_ptr cref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, ::Components::RemoveFailure)`[virtual]`

| Remove a container interface.

virtual void CIAO::NodeApplication_Impl::start | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Deployment::StartError)`[virtual]`

| start

## Member Data Documentation

Component_Container_Map CIAO::NodeApplication_Impl::component_container_map_`[protected]`

CCMComponent_Map CIAO::NodeApplication_Impl::component_state_map_`[protected]`

NodeApp_Configurator& CIAO::NodeApplication_Impl::configurator_`[protected]`

Object_Set<Deployment::Container, Deployment::Container_var> CIAO::NodeApplication_Impl::container_set_`[protected]`

| Keep a list of managed Container objects.

Cookie_Map CIAO::NodeApplication_Impl::cookie_map_`[protected]`

TAO_SYNCH_MUTEX CIAO::NodeApplication_Impl::lock_`[protected]`

| Synchronize access to the object set.

::CORBA::Object_var CIAO::NodeApplication_Impl::node_app_manager_`[protected]`

| And a reference to the NodeApplicationManager that created us.

::Deployment::NodeApplication_var CIAO::NodeApplication_Impl::objref_`[protected]`

| Cache the object reference (of ourselves).

CORBA::ORB_var CIAO::NodeApplication_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::NodeApplication_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

Deployment::Properties CIAO::NodeApplication_Impl::properties_`[protected]`

| Cached properties.

const Static_Config_EntryPoints_Maps* CIAO::NodeApplication_Impl::static_entrypts_maps_`[protected]`

The documentation for this class was generated from the following files:

- NodeApplication_Impl.h
- NodeApplication_Impl.cpp
- NodeApplication_Impl.inl